PHONETISAURUS(1)

NAME
phonetisaurus-g2p-omega -

SYNOPSIS

DESCRIPTION
phonetisaurus-g2p-omega

OPTIONS

--help=<bool> (default: false)

    show usage information

--helpshort=<bool> (default: false)

    show brief usage information

--tmpdir=<string> (default: "/tmp/")

    temporary directory

--v=<int32> (default: 0)

    verbose level

--fst_align=<bool> (default: false)

    Write FST data aligned where appropriate

--fst_default_cache_gc=<bool> (default: true)

    Enable garbage collection of cache

--fst_default_cache_gc_limit=<int64> (default: 1048576)

    Cache byte size that triggers garbage collection

--fst_verify_properties=<bool> (default: false)

    Verify fst properties queried by TestProperties

--fst_weight_parentheses=<string> (default: "")

    Characters enclosing the first weight of a printed composite weight (e.g. pair weight, tuple weight and derived classes) to ensure proper I/O of nested composite weights; must have size 0 (none) or 2 (open and close parenthesis)

--fst_weight_separator=<string> (default: ",")

    Character separator between printed composite weights; must be a single character

--save_relabel_ipairs=<string> (default: "")

    Save input relabel pairs to file

--save_relabel_opairs=<string> (default: "")

    Save output relabel pairs to file

--allow_ins=<bool> (default: false)

    Allow phoneme insertions when building the input FSA.

--alpha=<double> (default: 0.6)

    LMBR alpha LM scale factor.

--beam=<int32> (default: -1)

    Beam width to use during pruning (this is a bit hacky). Default=-1 (full lattice)

--decoder_type=<string> (default: "fsa_eps")

    Decoding type. Must be one of 'fst_phi', 'fsa_phi', or 'fsa_eps'.

--far_suf=<string> (default: "far")

    NOT IMPLEMENTED. The suffix to append to the output .far archive.

--infar=<bool> (default: false)

    NOT IMPLEMENTED. The input file is a .far archive.

--input=<string> (default: "")

    The input word or test file. REQUIRED

--isfile=<bool> (default: false)

    '--input' is a file.

--lmbr=<bool> (default: false)

    Use the Lattice Minimum-Bayes Risk (LMBR) decoder.

--logopt=<bool> (default: false)

    Optimize the result in the log semiring.

--map=<bool> (default: false)

    Use the Maximum A-Posteriori (MAP) decoder.

--model=<string> (default: "")

    The input WFST G2P model, in compact format. REQUIRED

--nbest=<int32> (default: 1)

    Show the n-best pronunciation hypotheses.

--omodel=<string> (default: "")

    Write the (possibly modified) model out to file 'omodel', if specified.

--order=<int32> (default: 6)

    LMBR maximum N-gram order.

--outfar=<bool> (default: false)

    NOT IMPLEMENTED. The result should be output as a .far archive.

--prec=<double> (default: 0.85)

    LMBR precision factor.

--ratio=<double> (default: 0.72)

    LMBR ratio factor.

--scores=<bool> (default: true)

    Show the final scores for the pronunciation hypotheses.

--sep=<string> (default: "")

    Separator substring for input words.

--verbose=<int32> (default: 1)

    Verbosity level. Higher is more verbose.

--words=<bool> (default: true)

    Show the input words in the output.

--fst_compat_symbols=<bool> (default: true)

    Require symbol tables to match when appropriate

--fst_field_separator=<string> (default: " ")

    Set of characters used as a separator between printed fields

--fst_error_fatal=<bool> (default: true)

    FST errors are fatal; o.w. return objects flagged as bad: e.g., FSTs - kError prop. true, FST weights - not a Member()